org.apache.lucene.index

## Class Impact

- java.lang.Object
- - org.apache.lucene.index.Impact

    public final class Impact
    extends Object

Per-document scoring factors.

### Field Summary

Fields
`int` `freq` Term frequency of the term in the document.
`long` `norm` Norm factor of the document.

### Constructor Summary

Constructors
Constructor and Description
`Impact(int freq, long norm)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### freq

    public int freq

Term frequency of the term in the document.

#### norm

    public long norm

Norm factor of the document.

### Constructor Detail

#### Impact

    public Impact(int freq,
                  long norm)

Constructor.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`